desync(1)

NAME
desync-completion-zsh - Generate the autocompletion script for zsh

SYNOPSIS
desync completion zsh [flags]

DESCRIPTION
Generate the autocompletion script for the zsh shell.

If shell completion is not already enabled in your environment you will need to enable it. You can execute the following once:
    echo "autoload -U compinit; compinit" >> ~/.zshrc

To load completions in your current shell session:
    source <(desync completion zsh)

To load completions for every new session, execute once:

  Linux:
    desync completion zsh > "${fpath[1]}/_desync"

  macOS:
    desync completion zsh > $(brew --prefix)/share/zsh/site-functions/_desync

You will need to start a new shell for this setup to take effect.

OPTIONS
-h, --help[=false]
    help for zsh

--no-descriptions[=false]
    disable completion descriptions

OPTIONS INHERITED FROM PARENT COMMANDS
--config=""
    config file (default $HOME/.config/desync/config.json)

--digest="sha512-256"
    digest algorithm, sha512-256 or sha256

--verbose[=false]
    verbose mode

SEE ALSO
desync-completion(1)

HISTORY
6-Sep-2026 Auto generated by spf13/cobra